Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2179 - emacs-el-20.3-11: Bad *.elc files
Summary: emacs-el-20.3-11: Bad *.elc files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: elm
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-14 16:26 UTC by frichard
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-04 16:47:48 UTC


Attachments (Terms of Use)

Description frichard 1999-04-14 16:26:35 UTC
Hi-

I noticed that at least one of the *.elc files included
in this emacs-el package was compiled with lucid emacs.
I found the information below in the first few lines of
the file `/usr/share/emacs/20.3/lisp/mail/mh-e.elc'.

I knew something was wrong when running `mh-rmail' caused
emacs to abort.  Re-compiling all the lisp files under
`/usr/share/emacs/20.3' seems to have fixed this (except
that I couldn't re-compile:
    `/usr/share/emacs/20.3/leim/skk/skkdic.el'
because it was taking too long).

Here's the header information I found in `mh-e.elc':

;ELC
;;; compiled by root@pip.devel.redhat.com on Wed Mar 31
16:48:20 1999
;;; from file
/usr/src/redhat/BUILD/emacs-20.3/lisp/mail/mh-utils.el
;;; emacs version 20.4 "Emerald" XEmacs  Lucid.
;;; bytecomp version 2.25 XEmacs; 22-Mar-96.
;;; optimization is on.
;;; this file uses opcodes which do not exist in Emacs 19.

Comment 1 Cristian Gafton 1999-04-14 16:39:59 UTC
Preston, is all yours, baby!

Comment 2 Preston Brown 1999-04-16 15:34:59 UTC
arg, yes I byte-compiled the mh mode in lucid by mistake when I was
fixing some paths.

Owen is taking care of this right now.  Owen, please close the bug
when you have got it done.


Note You need to log in before you can comment on or make changes to this bug.